Page MenuHomePhabricator

[OPENMP] Add dependency to clang/clang-headers etc. for in-tree build of libomp.
ClosedPublic

Authored by ABataev on Oct 25 2015, 11:44 PM.

Details

Summary

Add additional dependency to clang/clang-headers/FileCheck to avoid possible troubles with in-tree build/test of libomp + allow parallel testing of libomp

Diff Detail

Repository
rL LLVM

Event Timeline

ABataev updated this revision to Diff 38375.Oct 25 2015, 11:44 PM
ABataev retitled this revision from to [OPENMP] Add dependency to clang/clang-headers etc. for in-tree build of libomp..
ABataev updated this object.
chandlerc added inline comments.Oct 25 2015, 11:53 PM
runtime/test/CMakeLists.txt
57 ↗(On Diff #38375)

This seems like it should be landed separately, and after your patch to Clang lands?

runtime/test/api/omp_get_wtime.c
12 ↗(On Diff #38375)

The commit log doesn't make it clear why this has changed?

ABataev marked 2 inline comments as done.Oct 28 2015, 10:58 AM
ABataev added inline comments.
runtime/test/CMakeLists.txt
57 ↗(On Diff #38375)

Ok, will revert it back for now

runtime/test/api/omp_get_wtime.c
12 ↗(On Diff #38375)

This is required to fix possible issues with parallel testing of libomp. This test is quite sensitive to possible time diffs, so it's better to take a little bit more time to check that omp_get_wtime() function works correctly

ABataev updated this revision to Diff 38676.Oct 28 2015, 11:32 AM
ABataev marked 2 inline comments as done.

Update after review

chandlerc accepted this revision.Oct 28 2015, 11:39 AM
chandlerc edited edge metadata.

Looks good. Please also add the information about the test code change to the commit log when you commit this.

This revision is now accepted and ready to land.Oct 28 2015, 11:39 AM
ABataev updated this revision to Diff 38786.Oct 30 2015, 12:33 AM
ABataev edited edge metadata.

Resolved the remaining race conditions in tests. All tests should pass now.

This revision was automatically updated to reflect the committed changes.